{
    "$graph": [
        {
            "arguments": [
                {
                    "position": 0,
                    "valueFrom": "sentinel_runtime=cores,$(runtime['cores']),ram,$(runtime['ram'])"
                }
            ],
            "baseCommand": [
                "bcbio_nextgen.py",
                "runfn",
                "compare_to_rm",
                "cwl"
            ],
            "class": "CommandLineTool",
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerImageId": "quay.io/bcbio/bcbio-vc",
                    "dockerPull": "quay.io/bcbio/bcbio-vc"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 8,
                    "outdirMin": 1024,
                    "ramMin": 24576
                },
                {
                    "class": "SoftwareRequirement",
                    "packages": [
                        {
                            "package": "bcftools",
                            "specs": [
                                "https://anaconda.org/bioconda/bcftools"
                            ]
                        },
                        {
                            "package": "bedtools",
                            "specs": [
                                "https://anaconda.org/bioconda/bedtools"
                            ]
                        },
                        {
                            "package": "pythonpy",
                            "specs": [
                                "https://anaconda.org/bioconda/pythonpy"
                            ]
                        },
                        {
                            "package": "gvcf-regions",
                            "specs": [
                                "https://anaconda.org/bioconda/gvcf-regions"
                            ]
                        },
                        {
                            "package": "htslib",
                            "specs": [
                                "https://anaconda.org/bioconda/htslib"
                            ]
                        },
                        {
                            "package": "rtg-tools",
                            "specs": [
                                "https://anaconda.org/bioconda/rtg-tools"
                            ]
                        },
                        {
                            "package": "vcfanno",
                            "specs": [
                                "https://anaconda.org/bioconda/vcfanno"
                            ]
                        }
                    ]
                }
            ],
            "inputs": [
                {
                    "default": "batch-single",
                    "id": "#compare_to_rm.cwl/sentinel_parallel",
                    "inputBinding": {
                        "itemSeparator": ";;",
                        "position": 0,
                        "prefix": "sentinel_parallel=",
                        "separate": false
                    },
                    "type": "string"
                },
                {
                    "default": "vc_rec:validate__summary;validate__tp;validate__fp;validate__fn;description;vrn_file;config__algorithm__validate;reference__fasta__base;config__algorithm__variantcaller;config__algorithm__coverage_interval;metadata__batch;config__algorithm__validate_regions;genome_build;reference__rtg;metadata__phenotype;config__algorithm__tools_off;genome_resources__variation__dbsnp;genome_resources__variation__cosmic;reference__genome_context;analysis;config__algorithm__tools_on;config__algorithm__variant_regions;align_bam;regions__callable;config__algorithm__callable_regions",
                    "id": "#compare_to_rm.cwl/sentinel_outputs",
                    "inputBinding": {
                        "itemSeparator": ";;",
                        "position": 1,
                        "prefix": "sentinel_outputs=",
                        "separate": false
                    },
                    "type": "string"
                },
                {
                    "default": "batch_rec:record,vrn_file:var",
                    "id": "#compare_to_rm.cwl/sentinel_inputs",
                    "inputBinding": {
                        "itemSeparator": ";;",
                        "position": 2,
                        "prefix": "sentinel_inputs=",
                        "separate": false
                    },
                    "type": "string"
                },
                {
                    "id": "#compare_to_rm.cwl/batch_rec",
                    "type": {
                        "items": {
                            "fields": [
                                {
                                    "name": "#compare_to_rm.cwl/batch_rec/batch_rec/description",
                                    "type": "string"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/batch_rec/batch_rec/config__algorithm__validate",
                                    "type": "null"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/batch_rec/batch_rec/reference__fasta__base",
                                    "type": "File"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/batch_rec/batch_rec/config__algorithm__variantcaller",
                                    "type": "string"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/batch_rec/batch_rec/config__algorithm__coverage_interval",
                                    "type": "string"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/batch_rec/batch_rec/metadata__batch",
                                    "type": "null"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/batch_rec/batch_rec/config__algorithm__validate_regions",
                                    "type": "null"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/batch_rec/batch_rec/genome_build",
                                    "type": "string"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/batch_rec/batch_rec/reference__rtg",
                                    "type": "File"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/batch_rec/batch_rec/metadata__phenotype",
                                    "type": "string"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/batch_rec/batch_rec/config__algorithm__tools_off",
                                    "type": {
                                        "items": "string",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#compare_to_rm.cwl/batch_rec/batch_rec/genome_resources__variation__dbsnp",
                                    "type": "File"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/batch_rec/batch_rec/genome_resources__variation__cosmic",
                                    "type": "null"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/batch_rec/batch_rec/reference__genome_context",
                                    "type": {
                                        "items": "null",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#compare_to_rm.cwl/batch_rec/batch_rec/analysis",
                                    "type": "string"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/batch_rec/batch_rec/config__algorithm__tools_on",
                                    "type": {
                                        "items": "null",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#compare_to_rm.cwl/batch_rec/batch_rec/config__algorithm__variant_regions",
                                    "type": "File"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/batch_rec/batch_rec/align_bam",
                                    "type": "File"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/batch_rec/batch_rec/regions__callable",
                                    "type": "File"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/batch_rec/batch_rec/config__algorithm__callable_regions",
                                    "type": "File"
                                }
                            ],
                            "name": "#compare_to_rm.cwl/batch_rec/batch_rec",
                            "type": "record"
                        },
                        "type": "array"
                    }
                },
                {
                    "id": "#compare_to_rm.cwl/vrn_file",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "type": "File"
                }
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(JSON.stringify(inputs))",
                            "entryname": "cwl.inputs.json"
                        }
                    ]
                }
            ],
            "id": "#compare_to_rm.cwl",
            "outputs": [
                {
                    "id": "#compare_to_rm.cwl/vc_rec",
                    "type": {
                        "items": {
                            "fields": [
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/validate__summary",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/validate__tp",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/validate__fp",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/validate__fn",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/description",
                                    "type": "string"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/vrn_file",
                                    "type": "File"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/config__algorithm__validate",
                                    "type": "null"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/reference__fasta__base",
                                    "type": "File"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/config__algorithm__variantcaller",
                                    "type": "string"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/config__algorithm__coverage_interval",
                                    "type": "string"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/metadata__batch",
                                    "type": "null"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/config__algorithm__validate_regions",
                                    "type": "null"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/genome_build",
                                    "type": "string"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/reference__rtg",
                                    "type": "File"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/metadata__phenotype",
                                    "type": "string"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/config__algorithm__tools_off",
                                    "type": {
                                        "items": "string",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/genome_resources__variation__dbsnp",
                                    "type": "File"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/genome_resources__variation__cosmic",
                                    "type": "null"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/reference__genome_context",
                                    "type": {
                                        "items": "null",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/analysis",
                                    "type": "string"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/config__algorithm__tools_on",
                                    "type": {
                                        "items": "null",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/config__algorithm__variant_regions",
                                    "type": "File"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/align_bam",
                                    "type": "File"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/regions__callable",
                                    "type": "File"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/config__algorithm__callable_regions",
                                    "type": "File"
                                }
                            ],
                            "name": "#compare_to_rm.cwl/vc_rec/vc_rec",
                            "type": "record"
                        },
                        "type": "array"
                    }
                }
            ]
        },
        {
            "arguments": [
                {
                    "position": 0,
                    "valueFrom": "sentinel_runtime=cores,$(runtime['cores']),ram,$(runtime['ram'])"
                }
            ],
            "baseCommand": [
                "bcbio_nextgen.py",
                "runfn",
                "concat_batch_variantcalls",
                "cwl"
            ],
            "class": "CommandLineTool",
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerImageId": "quay.io/bcbio/bcbio-vc",
                    "dockerPull": "quay.io/bcbio/bcbio-vc"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 1,
                    "outdirMin": 1024,
                    "ramMin": 3072
                },
                {
                    "class": "SoftwareRequirement",
                    "packages": [
                        {
                            "package": "bcftools",
                            "specs": [
                                "https://anaconda.org/bioconda/bcftools"
                            ]
                        },
                        {
                            "package": "htslib",
                            "specs": [
                                "https://anaconda.org/bioconda/htslib"
                            ]
                        }
                    ]
                }
            ],
            "inputs": [
                {
                    "default": "batch-merge",
                    "id": "#concat_batch_variantcalls.cwl/sentinel_parallel",
                    "inputBinding": {
                        "itemSeparator": ";;",
                        "position": 0,
                        "prefix": "sentinel_parallel=",
                        "separate": false
                    },
                    "type": "string"
                },
                {
                    "default": "vrn_file",
                    "id": "#concat_batch_variantcalls.cwl/sentinel_outputs",
                    "inputBinding": {
                        "itemSeparator": ";;",
                        "position": 1,
                        "prefix": "sentinel_outputs=",
                        "separate": false
                    },
                    "type": "string"
                },
                {
                    "default": "batch_rec:record,region:var,vrn_file_region:var",
                    "id": "#concat_batch_variantcalls.cwl/sentinel_inputs",
                    "inputBinding": {
                        "itemSeparator": ";;",
                        "position": 2,
                        "prefix": "sentinel_inputs=",
                        "separate": false
                    },
                    "type": "string"
                },
                {
                    "id": "#concat_batch_variantcalls.cwl/batch_rec",
                    "type": {
                        "items": {
                            "fields": [
                                {
                                    "name": "#concat_batch_variantcalls.cwl/batch_rec/batch_rec/description",
                                    "type": "string"
                                },
                                {
                                    "name": "#concat_batch_variantcalls.cwl/batch_rec/batch_rec/config__algorithm__validate",
                                    "type": "null"
                                },
                                {
                                    "name": "#concat_batch_variantcalls.cwl/batch_rec/batch_rec/reference__fasta__base",
                                    "type": "File"
                                },
                                {
                                    "name": "#concat_batch_variantcalls.cwl/batch_rec/batch_rec/config__algorithm__variantcaller",
                                    "type": "string"
                                },
                                {
                                    "name": "#concat_batch_variantcalls.cwl/batch_rec/batch_rec/config__algorithm__coverage_interval",
                                    "type": "string"
                                },
                                {
                                    "name": "#concat_batch_variantcalls.cwl/batch_rec/batch_rec/metadata__batch",
                                    "type": "null"
                                },
                                {
                                    "name": "#concat_batch_variantcalls.cwl/batch_rec/batch_rec/config__algorithm__validate_regions",
                                    "type": "null"
                                },
                                {
                                    "name": "#concat_batch_variantcalls.cwl/batch_rec/batch_rec/genome_build",
                                    "type": "string"
                                },
                                {
                                    "name": "#concat_batch_variantcalls.cwl/batch_rec/batch_rec/reference__rtg",
                                    "type": "File"
                                },
                                {
                                    "name": "#concat_batch_variantcalls.cwl/batch_rec/batch_rec/metadata__phenotype",
                                    "type": "string"
                                },
                                {
                                    "name": "#concat_batch_variantcalls.cwl/batch_rec/batch_rec/config__algorithm__tools_off",
                                    "type": {
                                        "items": "string",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#concat_batch_variantcalls.cwl/batch_rec/batch_rec/genome_resources__variation__dbsnp",
                                    "type": "File"
                                },
                                {
                                    "name": "#concat_batch_variantcalls.cwl/batch_rec/batch_rec/genome_resources__variation__cosmic",
                                    "type": "null"
                                },
                                {
                                    "name": "#concat_batch_variantcalls.cwl/batch_rec/batch_rec/reference__genome_context",
                                    "type": {
                                        "items": "null",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#concat_batch_variantcalls.cwl/batch_rec/batch_rec/analysis",
                                    "type": "string"
                                },
                                {
                                    "name": "#concat_batch_variantcalls.cwl/batch_rec/batch_rec/config__algorithm__tools_on",
                                    "type": {
                                        "items": "null",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#concat_batch_variantcalls.cwl/batch_rec/batch_rec/config__algorithm__variant_regions",
                                    "type": "File"
                                },
                                {
                                    "name": "#concat_batch_variantcalls.cwl/batch_rec/batch_rec/align_bam",
                                    "type": "File"
                                },
                                {
                                    "name": "#concat_batch_variantcalls.cwl/batch_rec/batch_rec/regions__callable",
                                    "type": "File"
                                },
                                {
                                    "name": "#concat_batch_variantcalls.cwl/batch_rec/batch_rec/config__algorithm__callable_regions",
                                    "type": "File"
                                }
                            ],
                            "name": "#concat_batch_variantcalls.cwl/batch_rec/batch_rec",
                            "type": "record"
                        },
                        "type": "array"
                    }
                },
                {
                    "id": "#concat_batch_variantcalls.cwl/region",
                    "type": {
                        "items": "string",
                        "type": "array"
                    }
                },
                {
                    "id": "#concat_batch_variantcalls.cwl/vrn_file_region",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "type": {
                        "items": "File",
                        "type": "array"
                    }
                }
            ],
            "outputs": [
                {
                    "id": "#concat_batch_variantcalls.cwl/vrn_file",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "type": "File"
                }
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(JSON.stringify(inputs))",
                            "entryname": "cwl.inputs.json"
                        }
                    ]
                }
            ],
            "id": "#concat_batch_variantcalls.cwl"
        },
        {
            "arguments": [
                {
                    "position": 0,
                    "valueFrom": "sentinel_runtime=cores,$(runtime['cores']),ram,$(runtime['ram'])"
                }
            ],
            "baseCommand": [
                "bcbio_nextgen.py",
                "runfn",
                "get_parallel_regions",
                "cwl"
            ],
            "class": "CommandLineTool",
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerImageId": "quay.io/bcbio/bcbio-base",
                    "dockerPull": "quay.io/bcbio/bcbio-base"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 1,
                    "outdirMin": 1024,
                    "ramMin": 3072
                }
            ],
            "inputs": [
                {
                    "default": "batch-split",
                    "id": "#get_parallel_regions.cwl/sentinel_parallel",
                    "inputBinding": {
                        "itemSeparator": ";;",
                        "position": 0,
                        "prefix": "sentinel_parallel=",
                        "separate": false
                    },
                    "type": "string"
                },
                {
                    "default": "region",
                    "id": "#get_parallel_regions.cwl/sentinel_outputs",
                    "inputBinding": {
                        "itemSeparator": ";;",
                        "position": 1,
                        "prefix": "sentinel_outputs=",
                        "separate": false
                    },
                    "type": "string"
                },
                {
                    "default": "batch_rec:record",
                    "id": "#get_parallel_regions.cwl/sentinel_inputs",
                    "inputBinding": {
                        "itemSeparator": ";;",
                        "position": 2,
                        "prefix": "sentinel_inputs=",
                        "separate": false
                    },
                    "type": "string"
                },
                {
                    "id": "#get_parallel_regions.cwl/batch_rec",
                    "type": {
                        "items": {
                            "fields": [
                                {
                                    "name": "#get_parallel_regions.cwl/batch_rec/batch_rec/description",
                                    "type": "string"
                                },
                                {
                                    "name": "#get_parallel_regions.cwl/batch_rec/batch_rec/config__algorithm__validate",
                                    "type": "null"
                                },
                                {
                                    "name": "#get_parallel_regions.cwl/batch_rec/batch_rec/reference__fasta__base",
                                    "type": "File"
                                },
                                {
                                    "name": "#get_parallel_regions.cwl/batch_rec/batch_rec/config__algorithm__variantcaller",
                                    "type": "string"
                                },
                                {
                                    "name": "#get_parallel_regions.cwl/batch_rec/batch_rec/config__algorithm__coverage_interval",
                                    "type": "string"
                                },
                                {
                                    "name": "#get_parallel_regions.cwl/batch_rec/batch_rec/metadata__batch",
                                    "type": "null"
                                },
                                {
                                    "name": "#get_parallel_regions.cwl/batch_rec/batch_rec/config__algorithm__validate_regions",
                                    "type": "null"
                                },
                                {
                                    "name": "#get_parallel_regions.cwl/batch_rec/batch_rec/genome_build",
                                    "type": "string"
                                },
                                {
                                    "name": "#get_parallel_regions.cwl/batch_rec/batch_rec/reference__rtg",
                                    "type": "File"
                                },
                                {
                                    "name": "#get_parallel_regions.cwl/batch_rec/batch_rec/metadata__phenotype",
                                    "type": "string"
                                },
                                {
                                    "name": "#get_parallel_regions.cwl/batch_rec/batch_rec/config__algorithm__tools_off",
                                    "type": {
                                        "items": "string",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#get_parallel_regions.cwl/batch_rec/batch_rec/genome_resources__variation__dbsnp",
                                    "type": "File"
                                },
                                {
                                    "name": "#get_parallel_regions.cwl/batch_rec/batch_rec/genome_resources__variation__cosmic",
                                    "type": "null"
                                },
                                {
                                    "name": "#get_parallel_regions.cwl/batch_rec/batch_rec/reference__genome_context",
                                    "type": {
                                        "items": "null",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#get_parallel_regions.cwl/batch_rec/batch_rec/analysis",
                                    "type": "string"
                                },
                                {
                                    "name": "#get_parallel_regions.cwl/batch_rec/batch_rec/config__algorithm__tools_on",
                                    "type": {
                                        "items": "null",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#get_parallel_regions.cwl/batch_rec/batch_rec/config__algorithm__variant_regions",
                                    "type": "File"
                                },
                                {
                                    "name": "#get_parallel_regions.cwl/batch_rec/batch_rec/align_bam",
                                    "type": "File"
                                },
                                {
                                    "name": "#get_parallel_regions.cwl/batch_rec/batch_rec/regions__callable",
                                    "type": "File"
                                },
                                {
                                    "name": "#get_parallel_regions.cwl/batch_rec/batch_rec/config__algorithm__callable_regions",
                                    "type": "File"
                                }
                            ],
                            "name": "#get_parallel_regions.cwl/batch_rec/batch_rec",
                            "type": "record"
                        },
                        "type": "array"
                    }
                }
            ],
            "outputs": [
                {
                    "id": "#get_parallel_regions.cwl/region",
                    "type": {
                        "items": "string",
                        "type": "array"
                    }
                }
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(JSON.stringify(inputs))",
                            "entryname": "cwl.inputs.json"
                        }
                    ]
                }
            ],
            "id": "#get_parallel_regions.cwl"
        },
        {
            "arguments": [
                {
                    "position": 0,
                    "valueFrom": "sentinel_runtime=cores,$(runtime['cores']),ram,$(runtime['ram'])"
                }
            ],
            "baseCommand": [
                "bcbio_nextgen.py",
                "runfn",
                "postprocess_variants",
                "cwl"
            ],
            "class": "CommandLineTool",
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerImageId": "quay.io/bcbio/bcbio-vc",
                    "dockerPull": "quay.io/bcbio/bcbio-vc"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 8,
                    "outdirMin": 1024,
                    "ramMin": 24576
                },
                {
                    "class": "SoftwareRequirement",
                    "packages": [
                        {
                            "package": "snpeff",
                            "specs": [
                                "https://anaconda.org/bioconda/snpeff"
                            ],
                            "version": [
                                "4.3i"
                            ]
                        }
                    ]
                }
            ],
            "inputs": [
                {
                    "default": "batch-single",
                    "id": "#postprocess_variants.cwl/sentinel_parallel",
                    "inputBinding": {
                        "itemSeparator": ";;",
                        "position": 0,
                        "prefix": "sentinel_parallel=",
                        "separate": false
                    },
                    "type": "string"
                },
                {
                    "default": "vrn_file",
                    "id": "#postprocess_variants.cwl/sentinel_outputs",
                    "inputBinding": {
                        "itemSeparator": ";;",
                        "position": 1,
                        "prefix": "sentinel_outputs=",
                        "separate": false
                    },
                    "type": "string"
                },
                {
                    "default": "batch_rec:record,vrn_file:var",
                    "id": "#postprocess_variants.cwl/sentinel_inputs",
                    "inputBinding": {
                        "itemSeparator": ";;",
                        "position": 2,
                        "prefix": "sentinel_inputs=",
                        "separate": false
                    },
                    "type": "string"
                },
                {
                    "id": "#postprocess_variants.cwl/batch_rec",
                    "type": {
                        "items": {
                            "fields": [
                                {
                                    "name": "#postprocess_variants.cwl/batch_rec/batch_rec/description",
                                    "type": "string"
                                },
                                {
                                    "name": "#postprocess_variants.cwl/batch_rec/batch_rec/config__algorithm__validate",
                                    "type": "null"
                                },
                                {
                                    "name": "#postprocess_variants.cwl/batch_rec/batch_rec/reference__fasta__base",
                                    "type": "File"
                                },
                                {
                                    "name": "#postprocess_variants.cwl/batch_rec/batch_rec/config__algorithm__variantcaller",
                                    "type": "string"
                                },
                                {
                                    "name": "#postprocess_variants.cwl/batch_rec/batch_rec/config__algorithm__coverage_interval",
                                    "type": "string"
                                },
                                {
                                    "name": "#postprocess_variants.cwl/batch_rec/batch_rec/metadata__batch",
                                    "type": "null"
                                },
                                {
                                    "name": "#postprocess_variants.cwl/batch_rec/batch_rec/config__algorithm__validate_regions",
                                    "type": "null"
                                },
                                {
                                    "name": "#postprocess_variants.cwl/batch_rec/batch_rec/genome_build",
                                    "type": "string"
                                },
                                {
                                    "name": "#postprocess_variants.cwl/batch_rec/batch_rec/reference__rtg",
                                    "type": "File"
                                },
                                {
                                    "name": "#postprocess_variants.cwl/batch_rec/batch_rec/metadata__phenotype",
                                    "type": "string"
                                },
                                {
                                    "name": "#postprocess_variants.cwl/batch_rec/batch_rec/config__algorithm__tools_off",
                                    "type": {
                                        "items": "string",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#postprocess_variants.cwl/batch_rec/batch_rec/genome_resources__variation__dbsnp",
                                    "type": "File"
                                },
                                {
                                    "name": "#postprocess_variants.cwl/batch_rec/batch_rec/genome_resources__variation__cosmic",
                                    "type": "null"
                                },
                                {
                                    "name": "#postprocess_variants.cwl/batch_rec/batch_rec/reference__genome_context",
                                    "type": {
                                        "items": "null",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#postprocess_variants.cwl/batch_rec/batch_rec/analysis",
                                    "type": "string"
                                },
                                {
                                    "name": "#postprocess_variants.cwl/batch_rec/batch_rec/config__algorithm__tools_on",
                                    "type": {
                                        "items": "null",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#postprocess_variants.cwl/batch_rec/batch_rec/config__algorithm__variant_regions",
                                    "type": "File"
                                },
                                {
                                    "name": "#postprocess_variants.cwl/batch_rec/batch_rec/align_bam",
                                    "type": "File"
                                },
                                {
                                    "name": "#postprocess_variants.cwl/batch_rec/batch_rec/regions__callable",
                                    "type": "File"
                                },
                                {
                                    "name": "#postprocess_variants.cwl/batch_rec/batch_rec/config__algorithm__callable_regions",
                                    "type": "File"
                                }
                            ],
                            "name": "#postprocess_variants.cwl/batch_rec/batch_rec",
                            "type": "record"
                        },
                        "type": "array"
                    }
                },
                {
                    "id": "#postprocess_variants.cwl/vrn_file_toolinput",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "type": "File"
                }
            ],
            "outputs": [
                {
                    "id": "#postprocess_variants.cwl/vrn_file",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "type": "File"
                }
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(JSON.stringify(inputs))",
                            "entryname": "cwl.inputs.json"
                        }
                    ]
                }
            ],
            "id": "#postprocess_variants.cwl"
        },
        {
            "arguments": [
                {
                    "position": 0,
                    "valueFrom": "sentinel_runtime=cores,$(runtime['cores']),ram,$(runtime['ram'])"
                }
            ],
            "baseCommand": [
                "bcbio_nextgen.py",
                "runfn",
                "variantcall_batch_region",
                "cwl"
            ],
            "class": "CommandLineTool",
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerImageId": "quay.io/bcbio/bcbio-vc",
                    "dockerPull": "quay.io/bcbio/bcbio-vc"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 1,
                    "outdirMin": 1024,
                    "ramMin": 3072
                },
                {
                    "class": "SoftwareRequirement",
                    "packages": [
                        {
                            "package": "bcftools",
                            "specs": [
                                "https://anaconda.org/bioconda/bcftools"
                            ]
                        },
                        {
                            "package": "bedtools",
                            "specs": [
                                "https://anaconda.org/bioconda/bedtools"
                            ]
                        },
                        {
                            "package": "freebayes",
                            "specs": [
                                "https://anaconda.org/bioconda/freebayes"
                            ],
                            "version": [
                                "1.1.0"
                            ]
                        },
                        {
                            "package": "gatk",
                            "specs": [
                                "https://anaconda.org/bioconda/gatk"
                            ]
                        },
                        {
                            "package": "gatk-framework",
                            "specs": [
                                "https://anaconda.org/bioconda/gatk-framework"
                            ]
                        },
                        {
                            "package": "htslib",
                            "specs": [
                                "https://anaconda.org/bioconda/htslib"
                            ]
                        },
                        {
                            "package": "picard",
                            "specs": [
                                "https://anaconda.org/bioconda/picard"
                            ]
                        },
                        {
                            "package": "platypus-variant",
                            "specs": [
                                "https://anaconda.org/bioconda/platypus-variant"
                            ]
                        },
                        {
                            "package": "pythonpy",
                            "specs": [
                                "https://anaconda.org/bioconda/pythonpy"
                            ]
                        },
                        {
                            "package": "samtools",
                            "specs": [
                                "https://anaconda.org/bioconda/samtools"
                            ]
                        },
                        {
                            "package": "vardict",
                            "specs": [
                                "https://anaconda.org/bioconda/vardict"
                            ]
                        },
                        {
                            "package": "vardict-java",
                            "specs": [
                                "https://anaconda.org/bioconda/vardict-java"
                            ]
                        },
                        {
                            "package": "varscan",
                            "specs": [
                                "https://anaconda.org/bioconda/varscan"
                            ]
                        },
                        {
                            "package": "vcfanno",
                            "specs": [
                                "https://anaconda.org/bioconda/vcfanno"
                            ]
                        },
                        {
                            "package": "vcflib",
                            "specs": [
                                "https://anaconda.org/bioconda/vcflib"
                            ]
                        },
                        {
                            "package": "vt",
                            "specs": [
                                "https://anaconda.org/bioconda/vt"
                            ]
                        },
                        {
                            "package": "r",
                            "specs": [
                                "https://anaconda.org/bioconda/r"
                            ],
                            "version": [
                                "3.2.2"
                            ]
                        },
                        {
                            "package": "perl",
                            "specs": [
                                "https://anaconda.org/bioconda/perl"
                            ]
                        }
                    ]
                }
            ],
            "inputs": [
                {
                    "default": "batch-parallel",
                    "id": "#variantcall_batch_region.cwl/sentinel_parallel",
                    "inputBinding": {
                        "itemSeparator": ";;",
                        "position": 0,
                        "prefix": "sentinel_parallel=",
                        "separate": false
                    },
                    "type": "string"
                },
                {
                    "default": "vrn_file_region,region",
                    "id": "#variantcall_batch_region.cwl/sentinel_outputs",
                    "inputBinding": {
                        "itemSeparator": ";;",
                        "position": 1,
                        "prefix": "sentinel_outputs=",
                        "separate": false
                    },
                    "type": "string"
                },
                {
                    "default": "batch_rec:record,region:var",
                    "id": "#variantcall_batch_region.cwl/sentinel_inputs",
                    "inputBinding": {
                        "itemSeparator": ";;",
                        "position": 2,
                        "prefix": "sentinel_inputs=",
                        "separate": false
                    },
                    "type": "string"
                },
                {
                    "id": "#variantcall_batch_region.cwl/batch_rec",
                    "type": {
                        "items": {
                            "fields": [
                                {
                                    "name": "#variantcall_batch_region.cwl/batch_rec/batch_rec/description",
                                    "type": "string"
                                },
                                {
                                    "name": "#variantcall_batch_region.cwl/batch_rec/batch_rec/config__algorithm__validate",
                                    "type": "null"
                                },
                                {
                                    "name": "#variantcall_batch_region.cwl/batch_rec/batch_rec/reference__fasta__base",
                                    "type": "File"
                                },
                                {
                                    "name": "#variantcall_batch_region.cwl/batch_rec/batch_rec/config__algorithm__variantcaller",
                                    "type": "string"
                                },
                                {
                                    "name": "#variantcall_batch_region.cwl/batch_rec/batch_rec/config__algorithm__coverage_interval",
                                    "type": "string"
                                },
                                {
                                    "name": "#variantcall_batch_region.cwl/batch_rec/batch_rec/metadata__batch",
                                    "type": "null"
                                },
                                {
                                    "name": "#variantcall_batch_region.cwl/batch_rec/batch_rec/config__algorithm__validate_regions",
                                    "type": "null"
                                },
                                {
                                    "name": "#variantcall_batch_region.cwl/batch_rec/batch_rec/genome_build",
                                    "type": "string"
                                },
                                {
                                    "name": "#variantcall_batch_region.cwl/batch_rec/batch_rec/reference__rtg",
                                    "type": "File"
                                },
                                {
                                    "name": "#variantcall_batch_region.cwl/batch_rec/batch_rec/metadata__phenotype",
                                    "type": "string"
                                },
                                {
                                    "name": "#variantcall_batch_region.cwl/batch_rec/batch_rec/config__algorithm__tools_off",
                                    "type": {
                                        "items": "string",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#variantcall_batch_region.cwl/batch_rec/batch_rec/genome_resources__variation__dbsnp",
                                    "type": "File"
                                },
                                {
                                    "name": "#variantcall_batch_region.cwl/batch_rec/batch_rec/genome_resources__variation__cosmic",
                                    "type": "null"
                                },
                                {
                                    "name": "#variantcall_batch_region.cwl/batch_rec/batch_rec/reference__genome_context",
                                    "type": {
                                        "items": "null",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#variantcall_batch_region.cwl/batch_rec/batch_rec/analysis",
                                    "type": "string"
                                },
                                {
                                    "name": "#variantcall_batch_region.cwl/batch_rec/batch_rec/config__algorithm__tools_on",
                                    "type": {
                                        "items": "null",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#variantcall_batch_region.cwl/batch_rec/batch_rec/config__algorithm__variant_regions",
                                    "type": "File"
                                },
                                {
                                    "name": "#variantcall_batch_region.cwl/batch_rec/batch_rec/align_bam",
                                    "type": "File"
                                },
                                {
                                    "name": "#variantcall_batch_region.cwl/batch_rec/batch_rec/regions__callable",
                                    "type": "File"
                                },
                                {
                                    "name": "#variantcall_batch_region.cwl/batch_rec/batch_rec/config__algorithm__callable_regions",
                                    "type": "File"
                                }
                            ],
                            "name": "#variantcall_batch_region.cwl/batch_rec/batch_rec",
                            "type": "record"
                        },
                        "type": "array"
                    }
                },
                {
                    "id": "#variantcall_batch_region.cwl/region_toolinput",
                    "type": "string"
                }
            ],
            "outputs": [
                {
                    "id": "#variantcall_batch_region.cwl/vrn_file_region",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "type": "File"
                },
                {
                    "id": "#variantcall_batch_region.cwl/region",
                    "type": "string"
                }
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(JSON.stringify(inputs))",
                            "entryname": "cwl.inputs.json"
                        }
                    ]
                }
            ],
            "id": "#variantcall_batch_region.cwl"
        },
        {
            "class": "Workflow",
            "hints": [],
            "inputs": [
                {
                    "id": "#main/batch_rec",
                    "type": {
                        "items": {
                            "fields": [
                                {
                                    "name": "#main/batch_rec/batch_rec/description",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/batch_rec/batch_rec/config__algorithm__validate",
                                    "type": "null"
                                },
                                {
                                    "name": "#main/batch_rec/batch_rec/reference__fasta__base",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/batch_rec/batch_rec/config__algorithm__variantcaller",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/batch_rec/batch_rec/config__algorithm__coverage_interval",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/batch_rec/batch_rec/metadata__batch",
                                    "type": "null"
                                },
                                {
                                    "name": "#main/batch_rec/batch_rec/config__algorithm__validate_regions",
                                    "type": "null"
                                },
                                {
                                    "name": "#main/batch_rec/batch_rec/genome_build",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/batch_rec/batch_rec/reference__rtg",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/batch_rec/batch_rec/metadata__phenotype",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/batch_rec/batch_rec/config__algorithm__tools_off",
                                    "type": {
                                        "items": "string",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#main/batch_rec/batch_rec/genome_resources__variation__dbsnp",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/batch_rec/batch_rec/genome_resources__variation__cosmic",
                                    "type": "null"
                                },
                                {
                                    "name": "#main/batch_rec/batch_rec/reference__genome_context",
                                    "type": {
                                        "items": "null",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#main/batch_rec/batch_rec/analysis",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/batch_rec/batch_rec/config__algorithm__tools_on",
                                    "type": {
                                        "items": "null",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#main/batch_rec/batch_rec/config__algorithm__variant_regions",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/batch_rec/batch_rec/align_bam",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/batch_rec/batch_rec/regions__callable",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/batch_rec/batch_rec/config__algorithm__callable_regions",
                                    "type": "File"
                                }
                            ],
                            "name": "#main/batch_rec/batch_rec",
                            "type": "record"
                        },
                        "type": "array"
                    }
                }
            ],
            "outputs": [
                {
                    "id": "#main/vc_rec",
                    "outputSource": "#main/compare_to_rm/vc_rec",
                    "type": {
                        "items": {
                            "fields": [
                                {
                                    "name": "#main/vc_rec/vc_rec/validate__summary",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/validate__tp",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/validate__fp",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/validate__fn",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/description",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/vrn_file",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/config__algorithm__validate",
                                    "type": "null"
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/reference__fasta__base",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/config__algorithm__variantcaller",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/config__algorithm__coverage_interval",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/metadata__batch",
                                    "type": "null"
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/config__algorithm__validate_regions",
                                    "type": "null"
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/genome_build",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/reference__rtg",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/metadata__phenotype",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/config__algorithm__tools_off",
                                    "type": {
                                        "items": "string",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/genome_resources__variation__dbsnp",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/genome_resources__variation__cosmic",
                                    "type": "null"
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/reference__genome_context",
                                    "type": {
                                        "items": "null",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/analysis",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/config__algorithm__tools_on",
                                    "type": {
                                        "items": "null",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/config__algorithm__variant_regions",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/align_bam",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/regions__callable",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/config__algorithm__callable_regions",
                                    "type": "File"
                                }
                            ],
                            "name": "#main/vc_rec/vc_rec",
                            "type": "record"
                        },
                        "type": "array"
                    }
                }
            ],
            "requirements": [
                {
                    "class": "EnvVarRequirement",
                    "envDef": [
                        {
                            "envName": "MPLCONFIGDIR",
                            "envValue": "."
                        }
                    ]
                },
                {
                    "class": "ScatterFeatureRequirement"
                },
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "steps": [
                {
                    "id": "#main/get_parallel_regions",
                    "in": [
                        {
                            "id": "#main/get_parallel_regions/batch_rec",
                            "source": "#main/batch_rec"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/get_parallel_regions/region"
                        }
                    ],
                    "run": "#get_parallel_regions.cwl"
                },
                {
                    "id": "#main/variantcall_batch_region",
                    "in": [
                        {
                            "id": "#main/variantcall_batch_region/batch_rec",
                            "source": "#main/batch_rec"
                        },
                        {
                            "id": "#main/variantcall_batch_region/region_toolinput",
                            "source": "#main/get_parallel_regions/region"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/variantcall_batch_region/vrn_file_region"
                        },
                        {
                            "id": "#main/variantcall_batch_region/region"
                        }
                    ],
                    "run": "#variantcall_batch_region.cwl",
                    "scatter": [
                        "#main/variantcall_batch_region/region_toolinput"
                    ],
                    "scatterMethod": "dotproduct"
                },
                {
                    "id": "#main/concat_batch_variantcalls",
                    "in": [
                        {
                            "id": "#main/concat_batch_variantcalls/batch_rec",
                            "source": "#main/batch_rec"
                        },
                        {
                            "id": "#main/concat_batch_variantcalls/region",
                            "source": "#main/variantcall_batch_region/region"
                        },
                        {
                            "id": "#main/concat_batch_variantcalls/vrn_file_region",
                            "source": "#main/variantcall_batch_region/vrn_file_region"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/concat_batch_variantcalls/vrn_file"
                        }
                    ],
                    "run": "#concat_batch_variantcalls.cwl"
                },
                {
                    "id": "#main/postprocess_variants",
                    "in": [
                        {
                            "id": "#main/postprocess_variants/batch_rec",
                            "source": "#main/batch_rec"
                        },
                        {
                            "id": "#main/postprocess_variants/vrn_file_toolinput",
                            "source": "#main/concat_batch_variantcalls/vrn_file"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/postprocess_variants/vrn_file"
                        }
                    ],
                    "run": "#postprocess_variants.cwl"
                },
                {
                    "id": "#main/compare_to_rm",
                    "in": [
                        {
                            "id": "#main/compare_to_rm/batch_rec",
                            "source": "#main/batch_rec"
                        },
                        {
                            "id": "#main/compare_to_rm/vrn_file",
                            "source": "#main/postprocess_variants/vrn_file"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/compare_to_rm/vc_rec"
                        }
                    ],
                    "run": "#compare_to_rm.cwl"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
